/*
Theme Name: Allgäu Active
Theme URI: https://www.damaba.de/
Template: hello-elementor
Author: LANGER Digital GmbH
Author URI: https://marvin-langer.de/
Description: Allgäu Active WP Theme 2024, A "Hello Elementor" Child Theme
Version: 1.1.0.
Updated: 2024-10-23 10:45:00
*/


.ul-list-check ul, 
.ul-list-xmark ul{
	list-style: none;
	margin-left: 0px;
	padding-left: 0px;
}


.ul-list-check ul li,
.ul-list-xmark ul li{
	position: relative !important;
	list-style: none;
	padding: 3px 0px 3px 30px !important;
}


.ul-list-check ul li:before,
.ul-list-xmark ul li:before{
	content:"";
	display: block;
	position: absolute;
	width: 20px;
	height: 20px;
	background-size: contain;
	background-repeat: no-repeat;
	left: 0px;
	top: 4px;
}


.ul-list-check ul li:before{
	background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="%23479600" d="M438.6 105.4c12.5 12.5 12.5 32.8 0 45.3l-256 256c-12.5 12.5-32.8 12.5-45.3 0l-128-128c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0L160 338.7 393.4 105.4c12.5-12.5 32.8-12.5 45.3 0z"/></svg>');
}

.ul-list-xmark ul li:before{
	background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512"><path fill="%23d62828" d="M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3 297.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256 342.6 150.6z"/></svg>');
}


/** TEXT EXPAND **/

div.expand-text > div {
    -webkit-line-clamp: 4;
    line-clamp: 4;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
	cursor: pointer;
	transition: all .3s;
}


div.expand-text:after{
    content: "Mehr anzeigen";
	display: block;
	cursor: pointer;
	text-decoration: underline;
	margin-top: 10px;
}

div.expand-text.open > div{
	-webkit-line-clamp: 99;
	line-clamp: 99;
}

div.expand-text.open:after{
	content: "Weniger anzeigen";
}

div.expand-text.open ol{
	padding-left: 20px;
}


/** EMOJI LIST ***/


.details-wrapper ul{
	list-style: none;
	margin-left: 0px;
	padding-left: 0px;
}

.details-wrapper ul li{
	position: relative;
	padding: 5px 0px 5px 35px;
}

.details-wrapper ul li span{
	position: absolute;
	top: 6px;
	left: 0px;
	font-size: 1.3em;
}


/** TOGGLE **/

.allactive-toggle-item{
	margin-bottom: 10px;
}

.allactive-toggle-item-title{
    padding: 14px;
    border-radius: 10px;
    cursor: pointer;
	border: 2px solid #d5d8dc;
}

.allactive-toggle-item-title:before {
    content: "";
    display: inline-block;
    width: 17px;
    height: 17px;
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="%23219ebc" d="M256 80c0-17.7-14.3-32-32-32s-32 14.3-32 32l0 144L48 224c-17.7 0-32 14.3-32 32s14.3 32 32 32l144 0 0 144c0 17.7 14.3 32 32 32s32-14.3 32-32l0-144 144 0c17.7 0 32-14.3 32-32s-14.3-32-32-32l-144 0 0-144z"/></svg>');
    background-size: contain;
    background-repeat: no-repeat;
    vertical-align: middle;
    position: relative;
    top: -1px;
    margin-right: 8px;
}


.allactive-toggle-item-content{
	max-height: 0px;
	overflow: hidden;
	transition: all .3s;
}

.allactive-toggle-item-content-inner{
	padding: 20px 0px;
}

.allactive-toggle-item.active .allactive-toggle-item-title:before{
	background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="%23219ebc" d="M432 256c0 17.7-14.3 32-32 32L48 288c-17.7 0-32-14.3-32-32s14.3-32 32-32l352 0c17.7 0 32 14.3 32 32z"/></svg>');
}

.allactive-toggle-item.active .allactive-toggle-item-content{
	max-height: 900px;
}


/** EVENT DETAIL ROWS **/


.detail-row,
.detail-row+.elementor-widget-divider{
    display: none;
}


.detail-row:has(.detail-row-content){
	display: flex;
}

.detail-row:has(.detail-row-content)+.elementor-widget-divider{
	display: block;
}


/*** VARIANTIONS **/


.allactive-buybox form.variations_form.cart.has-gzd-variation-form {
    display: flex;
    flex-direction: row;
}

.allactive-buybox table.variations{
	position: relative;
}

.allactive-buybox table.variations, .allactive-buybox table.variations * {
    display: block !important;
}

.allactive-buybox th.label {
    padding-left: 0px;
    margin-bottom: 10px;
	position: absolute;
	top: -20px;
}

.allactive-buybox .woocommerce-variation-price{
	display: none;
}

.allactive-buybox select {
    padding: 10px !important;
}

.allactive-buybox a.reset_variations{display: none !important;}

.allactive-buybox .quantity:before {
    content: "Personen";
    position: absolute;
    top: -22px;
    color: white;
    font-weight: bold;
    font-size: 14px;
}


.disable-buybox .book-item{
	display: none !important;
}

.disable_anfrage .anfrage-item{
	display: none !important;
}


div.expand-text:not(.open) > div{
    max-height: 110px;
}

@media(max-width: 768px){
    div.expand-text:not(.open) > div{
        max-height: 100px;
    }
}


@media(max-width:768px){
	.allactive-buybox form{
		display: block !important;
	}
	
	.allactive-buybox .quantity:before{
		top: -18px;
		font-size: 15px;
	}
	
	.allactive-buybox .quantity {
		margin-top: 30px !important;
	}
	
	.allactive-buybox td.value,
	.allactive-buybox select{
		margin-right: 0px !important;
	}
	
	.allactive-buybox  form>* {
		display: block !important;
		width: 100% !important;
	}
	
	body .elementor .e-flex .elementor-element .allactive-buybox .qty{
		width: 100% !important;
		margin: 10px 0px !important;
	}
	
	.allactive-buybox  .woocommerce-variation-add-to-cart{display: block !important;}
	.allactive-buybox  .woocommerce-variation-add-to-cart>*{display:block !important;width: 100% !important;}
	
	.allactive-buybox  .button{
		padding-top: 15px !important;
		padding-bottom: 15px !important;
		margin-left: 0px !important;
	}
}